From c97f0f3d229ecf132cc095866d2d9fb493b610e8 Mon Sep 17 00:00:00 2001
From: kytv <kytv@mail.i2p>
Date: Fri, 20 Sep 2013 01:21:43 +0000
Subject: [PATCH] OpenBSD compilation fix: set JAVAC in bundle targets if javac
 not found and require.gettext is set to true

This solves the following problem which was found on OpenBSD:

bundle:
     [exec] Generating net.i2p.desktopgui.messages_ar ResourceBundle...
     [exec] ERROR - msgfmt failed on locale/messages_ar.po, not updating translations
     [exec] msgfmt: Java compiler not found, try installing gcj or set $JAVAC
     [exec] msgfmt: compilation of Java class failed, please try --verbose or set $JAVAC
     [exec] 9 translated messages.


In OpenBSD 5.4, neither java nor javac are in the PATH.
---
 apps/desktopgui/build.xml                  | 1 +
 apps/desktopgui/bundle-messages.sh         | 4 ++++
 apps/i2psnark/java/build.xml               | 1 +
 apps/i2psnark/java/bundle-messages.sh      | 4 ++++
 apps/i2ptunnel/java/build.xml              | 1 +
 apps/i2ptunnel/java/bundle-messages.sh     | 3 +++
 apps/routerconsole/java/build.xml          | 1 +
 apps/routerconsole/java/bundle-messages.sh | 4 ++++
 apps/susidns/src/build.xml                 | 1 +
 apps/susidns/src/bundle-messages.sh        | 4 ++++
 apps/susimail/build.xml                    | 1 +
 apps/susimail/bundle-messages.sh           | 4 ++++
 12 files changed, 29 insertions(+)

diff --git a/apps/desktopgui/build.xml b/apps/desktopgui/build.xml
index d075caccf7..296280aba9 100644
--- a/apps/desktopgui/build.xml
+++ b/apps/desktopgui/build.xml
@@ -44,6 +44,7 @@
 
 	<target name="bundle" unless="no.bundle">
         <exec executable="sh" osfamily="unix" failifexecutionfails="true" failonerror="${require.gettext}" >
+            <env key="JAVA_HOME" value="${java.home}" />
             <arg value="./bundle-messages.sh" />
         </exec>
         <exec executable="sh" osfamily="mac" failifexecutionfails="true" failonerror="${require.gettext}" >
diff --git a/apps/desktopgui/bundle-messages.sh b/apps/desktopgui/bundle-messages.sh
index 9dad85e5c4..984a942786 100644
--- a/apps/desktopgui/bundle-messages.sh
+++ b/apps/desktopgui/bundle-messages.sh
@@ -16,6 +16,10 @@ TMPFILE=build/javafiles.txt
 export TZ=UTC
 RC=0
 
+if ! $(which javac); then
+    export JAVAC=${JAVA_HOME}/../bin/javac
+fi
+
 if [ "$1" = "-p" ]
 then
 	POUPDATE=1
diff --git a/apps/i2psnark/java/build.xml b/apps/i2psnark/java/build.xml
index 8e53315bb5..d6a851427f 100644
--- a/apps/i2psnark/java/build.xml
+++ b/apps/i2psnark/java/build.xml
@@ -130,6 +130,7 @@
         <!-- Update the messages_*.po files.
              We need to supply the bat file for windows, and then change the fail property to true -->
         <exec executable="sh" osfamily="unix" failifexecutionfails="true" failonerror="${require.gettext}" >
+            <env key="JAVA_HOME" value="${java.home}" />
             <arg value="./bundle-messages.sh" />
         </exec>
         <exec executable="sh" osfamily="mac" failifexecutionfails="true" failonerror="${require.gettext}" >
diff --git a/apps/i2psnark/java/bundle-messages.sh b/apps/i2psnark/java/bundle-messages.sh
index 280ad7234f..bc4ad11cd9 100755
--- a/apps/i2psnark/java/bundle-messages.sh
+++ b/apps/i2psnark/java/bundle-messages.sh
@@ -15,6 +15,10 @@ TMPFILE=build/javafiles.txt
 export TZ=UTC
 RC=0
 
+if ! $(which javac]; then
+    export JAVAC=${JAVA_HOME}/../bin/javac
+fi
+
 if [ "$1" = "-p" ]
 then
 	POUPDATE=1
diff --git a/apps/i2ptunnel/java/build.xml b/apps/i2ptunnel/java/build.xml
index 76ea9e92cb..e560018a31 100644
--- a/apps/i2ptunnel/java/build.xml
+++ b/apps/i2ptunnel/java/build.xml
@@ -92,6 +92,7 @@
         <!-- Update the messages_*.po files.
              We need to supply the bat file for windows, and then change the fail property to true -->
         <exec executable="sh" osfamily="unix" failifexecutionfails="true" failonerror="${require.gettext}" >
+            <env key="JAVA_HOME" value="${java.home}" />
             <arg value="./bundle-messages.sh" />
         </exec>
         <exec executable="sh" osfamily="mac" failifexecutionfails="true" failonerror="${require.gettext}" >
diff --git a/apps/i2ptunnel/java/bundle-messages.sh b/apps/i2ptunnel/java/bundle-messages.sh
index 15d731932d..f4ad328a0d 100755
--- a/apps/i2ptunnel/java/bundle-messages.sh
+++ b/apps/i2ptunnel/java/bundle-messages.sh
@@ -14,6 +14,9 @@ CLASS=net.i2p.i2ptunnel.web.messages
 TMPFILE=build/javafiles.txt
 export TZ=UTC
 RC=0
+if ! $(which javac}; then
+    export JAVAC=${JAVA_HOME}/../bin/javac
+fi
 
 if [ "$1" = "-p" ]
 then
diff --git a/apps/routerconsole/java/build.xml b/apps/routerconsole/java/build.xml
index aedb8fc9ab..497ba0955e 100644
--- a/apps/routerconsole/java/build.xml
+++ b/apps/routerconsole/java/build.xml
@@ -121,6 +121,7 @@
         <!-- Update the messages_*.po files.
              We need to supply the bat file for windows, and then change the fail property to true -->
         <exec executable="sh" osfamily="unix" failifexecutionfails="true" failonerror="${require.gettext}" >
+            <env key="JAVA_HOME" value="${java.home}" />
             <arg value="./bundle-messages.sh" />
         </exec>
         <exec executable="sh" osfamily="mac" failifexecutionfails="true" failonerror="${require.gettext}" >
diff --git a/apps/routerconsole/java/bundle-messages.sh b/apps/routerconsole/java/bundle-messages.sh
index 4a3aa678d7..de89fa420a 100755
--- a/apps/routerconsole/java/bundle-messages.sh
+++ b/apps/routerconsole/java/bundle-messages.sh
@@ -15,6 +15,10 @@ TMPFILE=build/javafiles.txt
 export TZ=UTC
 RC=0
 
+if ! $(which javac); then
+    export JAVAC=${JAVA_HOME}/../bin/javac
+fi
+
 if [ "$1" = "-p" ]
 then
 	POUPDATE=1
diff --git a/apps/susidns/src/build.xml b/apps/susidns/src/build.xml
index b3677ef522..ddf0bfec81 100644
--- a/apps/susidns/src/build.xml
+++ b/apps/susidns/src/build.xml
@@ -126,6 +126,7 @@
         <!-- Update the messages_*.po files.
              We need to supply the bat file for windows, and then change the fail property to true -->
         <exec executable="sh" osfamily="unix" failifexecutionfails="true" failonerror="${require.gettext}" >
+            <env key="JAVA_HOME" value="${JAVA_HOME}" />
             <arg value="./bundle-messages.sh" />
         </exec>
         <exec executable="sh" osfamily="mac" failifexecutionfails="true" failonerror="${require.gettext}" >
diff --git a/apps/susidns/src/bundle-messages.sh b/apps/susidns/src/bundle-messages.sh
index 6208d1acba..ddbdb23fc6 100755
--- a/apps/susidns/src/bundle-messages.sh
+++ b/apps/susidns/src/bundle-messages.sh
@@ -15,6 +15,10 @@ TMPFILE=tmp/javafiles.txt
 export TZ=UTC
 RC=0
 
+if ! $(which javac]; then
+    export JAVAC=${JAVA_HOME}/../bin/javac
+fi
+
 if [ "$1" = "-p" ]
 then
 	POUPDATE=1
diff --git a/apps/susimail/build.xml b/apps/susimail/build.xml
index ad5d98fa05..de05643fb2 100644
--- a/apps/susimail/build.xml
+++ b/apps/susimail/build.xml
@@ -80,6 +80,7 @@
         <!-- Update the messages_*.po files.
              We need to supply the bat file for windows, and then change the fail property to true -->
         <exec executable="sh" osfamily="unix" failifexecutionfails="true" failonerror="${require.gettext}" >
+            <env key="JAVA_HOME" value="${java.home}" />
             <arg value="./bundle-messages.sh" />
         </exec>
         <exec executable="sh" osfamily="mac" failifexecutionfails="true" failonerror="${require.gettext}" >
diff --git a/apps/susimail/bundle-messages.sh b/apps/susimail/bundle-messages.sh
index 60646d7aa7..a5ae6b7294 100644
--- a/apps/susimail/bundle-messages.sh
+++ b/apps/susimail/bundle-messages.sh
@@ -15,6 +15,10 @@ TMPFILE=javafiles.txt
 export TZ=UTC
 RC=0
 
+if ! $(which javac); then
+    export JAVAC=${JAVA_HOME}/../bin/javac
+fi
+
 if [ "$1" = "-p" ]
 then
 	POUPDATE=1
-- 
GitLab